%define anolis_release 1

%global snap 20221030
%global dir_snap 20221030

Summary:	The NetBSD Editline library
Name:		libedit
Version:	3.1
Release:	%{snap}cvs.%{anolis_release}%{?dist}
License:	BSD
URL:		https://www.thrysoee.dk/editline/
Source0:	https://www.thrysoee.dk/editline/%{name}-%{snap}-%{version}.tar.gz
# Version 20210419 changes internal symbols named libedit_strlcat and
# libedit_strlcpy to plain strlcat and strlcpy.  None of those symbols are
# mentioned in the public header files.  Many projects check for the existence
# of functions named strlcat and strlcpy.  I am not prepared to deal with the
# possible fallout of those functions suddenly existing in a low-level Fedora
# library, so restore the old names for now.

BuildRequires:	gcc
BuildRequires:	groff-base
BuildRequires:	make
BuildRequires:	ncurses-devel

%description
Libedit is an autotool- and libtoolized port of the NetBSD Editline library.
It provides generic line editing, history, and tokenization functions, similar
to those found in GNU Readline.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description doc
The %{name}-doc package contains documentation files for %{name}.

%package devel
Summary:	Development files for %{name}

Requires:	%{name} = %{version}-%{release}
Requires:	ncurses-devel

%description devel
This package contains development files for %{name}.

%prep
%autosetup -n %{name}-%{dir_snap}-%{version} -p0

# Fix unused direct shared library dependencies.
sed -i "s/lncurses/ltinfo/" configure

%build
%configure --disable-static --disable-silent-rules

%make_build

%install
%make_install
find $RPM_BUILD_ROOT -type f -name "*.la" -delete
# See rhbz#1349671
rm -f $RPM_BUILD_ROOT%{_mandir}/man3/history.3*

%generate_compatibility_deps

%ldconfig_scriptlets

%files
%dir %{abidir}
%license COPYING
%{_mandir}/man5/editrc.5*
%{_libdir}/%{name}.so.0
%{_libdir}/%{name}.so.0.*
%{abidir}/%{name}.dump

%files doc
%doc ChangeLog THANKS INSTALL

%files devel
%doc examples/fileman.c examples/tc1.c examples/wtc1.c
%{_mandir}/man3/*
%{_mandir}/man7/*
%{_includedir}/histedit.h
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%dir %{_includedir}/editline
%{_includedir}/editline/readline.h

%changelog
* Wed Dec 07 2022 Jing Zhang <renyu.zj@linux.alibaba.com> - 3.1-20221030.1
- update to 3.1-20221030

* Wed Oct 26 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 3.1-20210910.4
- fix release with anolis_release

* Tue Oct 25 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 3.1-20210910.3
- optimise spec file

* Sun Oct 09 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 3.1-20210910.2
- add doc package

* Tue Mar 08 2022 pangqing <pangqing@uniontech.com> - 3.1-20210910.1
- Init for anolisOS 23
